#Hide PowerShell Console #
Add-Type -Name Window -Namespace Console -MemberDefinition '
[DllImport("Kernel32.dll")]
public static extern IntPtr GetConsoleWindow();
[DllImport("user32.dll")]
public static extern bool ShowWindow(IntPtr hWnd, Int32 nCmdShow);
'
$consolePtr = [Console.Window]::GetConsoleWindow()
[Console.Window]::ShowWindow($consolePtr, 0)
Add-Type -Assembly System.Drawing

#### Initial Setup #################################################################
[void] [System.Reflection.Assembly]::LoadWithPartialName("System.Drawing") 
[void] [System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms")  
$Form = New-Object System.Windows.Forms.Form
$Form.FormBorderStyle = [System.Windows.Forms.FormBorderStyle]::FixedSingle
$Form.StartPosition = "CenterScreen" #loads the window in the center of the screen
#### Disable Minimize And Maximize Box #############################################
$Form.MinimizeBox = $False
$Form.MaximizeBox = $False
$Form.WindowState = "Normal"
$Form.SizeGripStyle = "Hide"
$Form.Icon = [system.drawing.icon]::ExtractAssociatedIcon("C:\Windows\System32\WSReset.exe")

$selection = "000000000000000000000000000000000000000"
if (!($status)) { $status = "1" }
$page = "Apps"

# +2 For Every 64x64 ####################################################################
$Form.Size = New-Object System.Drawing.Size(528,552)
if ( $status -eq "1" ) { $action = "Uninstall" } Else { $action = "Install" }
$Form.Text = "Windows 10 App Manager - Select " + $page + " To " + $action + " - [By MarioMasta64]"

###################### BUTTONS ##########################################################
 
#### Group boxes for buttons ########################################################
$groupBox = New-Object System.Windows.Forms.GroupBox
$groupBox.Location = New-Object System.Drawing.Size(0,0) 
$groupBox.size = New-Object System.Drawing.Size(512,512)
#### $groupBox.text = "DC Health checks:"
$Form.Controls.Add($groupBox)

#### Shorten ####
$IconsFolder = "" + $PSScriptRoot + "\icons\"
$DefaultImage = [System.Drawing.Image]::FromFile($IconsFolder + "default.png")
$ExtensionsImage = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$DefaultDrawingSize = New-Object System.Drawing.Size(64,64)

#### cr1 ####
$3DBuilder = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.3DBuilder.png")
$AppsConnector = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.AppConnector.png")
$BingFinance = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingFinance.png")
$BingNews = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingNews.png")
$BingSports = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingSports.png")
$BingWeather = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingWeather.png")
$DesktopAppInstaller = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.DesktopAppInstaller.png")
$GetHelp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.GetHelp.png")
$GetStarted = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.GetStarted.png")
$Messaging = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Messaging.png")
$Microsoft3DViewer = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Microsoft3DViewer.png")
$MicrosoftHoloLens = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftHoloLens.png")
$MicrosoftOfficeHub = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftOfficeHub.png")
$MicrosoftSolitaireCollection = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftSolitaireCollection.png")
$MicrosoftStickyNotes = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftStickyNotes.png")
$MixedRealityPortal = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MixedReality.Portal.png")
$MSPaint = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MSPaint.png")
$OfficeOneNote = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Office.OneNote.png")
$OfficeSway = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Office.Sway.png")
$OneConnect = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.OneConnect.png")
$People = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.People.png")
$Print3D = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Print3D.png")
$ScreenSketch = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ScreenSketch.png")
$StorePurchaseApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.StorePurchaseApp.png")
$SkypeApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.SkypeApp.png")
$Wallet = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Wallet.png")
$WindowsAlarm = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsAlarms.png")
$WindowsCalculator = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCalculator.png")
$WindowsCamera = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCamera.png")
$WindowsCommunicationsApps_Calendar = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps_Calendar.png")
$WindowsCommunicationsApps_Mail = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps_Mail.png")
$WindowsFeedbackHub = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsFeedbackHub.png")
$WindowsMaps = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsMaps.png")
$WindowsPhotos = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Windows.Photos.png")
$WindowsSoundRecorder = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsSoundRecorder.png")
$WindowsStore = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsStore.png")
$XboxApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.XboxApp.png")
$YourPhone = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.YourPhone.png")
$ZuneMusic = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ZuneMusic.png")
$ZuneVideo = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ZuneVideo.png")

$HEIFImageExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$MPEG2VideoExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$VP9VideoExtensions = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$WebMediaExtensions = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$WebpImageExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")

#### Cursors ####
$AppsStartingCursor = [System.Windows.Forms.Cursors]::AppStarting
$ArrowCursor = [System.Windows.Forms.Cursors]::Arrow
$CrossCursor = [System.Windows.Forms.Cursors]::Corss
$DefaultCursor = [System.Windows.Forms.Cursors]::Default
$HandCursor = [System.Windows.Forms.Cursors]::Hand
$HelpCursor = [System.Windows.Forms.Cursors]::Help
$HSplitCursor = [System.Windows.Forms.Cursors]::HSplit
$IBeamCursor = [System.Windows.Forms.Cursors]::IBeam
$NoCursor = [System.Windows.Forms.Cursors]::No
$NoMove2DCursor = [System.Windows.Forms.Cursors]::NoMove2D
$NoMoveHorizCursor = [System.Windows.Forms.Cursors]::NoMoveHoriz
$NoMoveVertCursor = [System.Windows.Forms.Cursors]::NoMoveVert
$PanEastCursor = [System.Windows.Forms.Cursors]::PanEast
$PanNECursor = [System.Windows.Forms.Cursors]::PanNE
$PanNorthCursor = [System.Windows.Forms.Cursors]::PanNorth
$PanNWCursor = [System.Windows.Forms.Cursors]::PanNW
$PanSECursor = [System.Windows.Forms.Cursors]::PanSE
$PanSouthCursor = [System.Windows.Forms.Cursors]::PanSouth
$PanSWCursor = [System.Windows.Forms.Cursors]::PanSW
$PanWestCursor = [System.Windows.Forms.Cursors]::PanWest
$SizeAllCursor = [System.Windows.Forms.Cursors]::SizeAll
$SizeNESWCursor = [System.Windows.Forms.Cursors]::SizeNESW
$SizeNSCursor = [System.Windows.Forms.Cursors]::SizeNS
$SizeNWSECursor = [System.Windows.Forms.Cursors]::SizeNWSE
$SizeWECursor = [System.Windows.Forms.Cursors]::SizeWE
$UpArrowCursor = [System.Windows.Forms.Cursors]::UpArrow
$VSplitCursor = [System.Windows.Forms.Cursors]::VSplit
$WaitCursorCursor = [System.Windows.Forms.Cursors]::Wait

$Apps1 = New-Object System.Windows.Forms.Button
$Apps1.Location = New-Object System.Drawing.Size(0,0)
$Apps1.Size = $DefaultDrawingSize
# $Apps1.Text = "a"
$Apps1.BackgroundImage = $3DBuilder
$Apps1.BackgroundImageLayout = "Zoom"
$Apps1.Add_Click({ $Form.Text = "action" })
$Apps1.Cursor = $HandCursor
 
$Apps2 = New-Object System.Windows.Forms.Button
$Apps2.Location = New-Object System.Drawing.Size(64,0)
$Apps2.Size = $DefaultDrawingSize
# $Apps2.Text = "b"
$Apps2.BackgroundImage = $WindowsAlarm
$Apps2.BackgroundImageLayout = "Zoom"
$Apps2.Add_Click({ $Form.Text = "action" })
$Apps2.Cursor = $HandCursor
 
$Apps3 = New-Object System.Windows.Forms.Button
$Apps3.Location = New-Object System.Drawing.Size(128,0)
$Apps3.Size = $DefaultDrawingSize
$Apps3.Text = "App Connector"
$Apps3.Image = $DefaultImage
$Apps3.BackgroundImageLayout = "Zoom"
$Apps3.Add_Click({ $Form.Text = "action" })
$Apps3.Cursor = $HandCursor
 
$Apps4 = New-Object System.Windows.Forms.Button
$Apps4.Location = New-Object System.Drawing.Size(192,0)
$Apps4.Size = $DefaultDrawingSize
# $Apps4.Text = "d"
$Apps4.BackgroundImage = $DesktopAppInstaller
$Apps4.BackgroundImageLayout = "Zoom"
$Apps4.Add_Click({ $Form.Text = "action" })
$Apps4.Cursor = $HandCursor
 
$Apps5 = New-Object System.Windows.Forms.Button
$Apps5.Location = New-Object System.Drawing.Size(256,0)
$Apps5.Size = $DefaultDrawingSize
# $Apps5.Text = "e"
$Apps5.BackgroundImage = $WindowsCommunicationsApps_Calendar
$Apps5.BackgroundImageLayout = "Zoom"
$Apps5.Add_Click({ $Form.Text = "action" })
$Apps5.Cursor = $HandCursor
 
$Apps6 = New-Object System.Windows.Forms.Button
$Apps6.Location = New-Object System.Drawing.Size(320,0)
$Apps6.Size = $DefaultDrawingSize
# $Apps6.Text = "e"
$Apps6.BackgroundImage = $WindowsCommunicationsApps_Mail
$Apps6.BackgroundImageLayout = "Zoom"
$Apps6.Add_Click({ $Form.Text = "action" })
$Apps6.Cursor = $HandCursor
 
$Apps7 = New-Object System.Windows.Forms.Button
$Apps7.Location = New-Object System.Drawing.Size(384,0)
$Apps7.Size = $DefaultDrawingSize
# $Apps7.Text = "f"
$Apps7.BackgroundImage = $WindowsCalculator
$Apps7.BackgroundImageLayout = "Zoom"
$Apps7.Add_Click({ $Form.Text = "action" })
$Apps7.Cursor = $HandCursor
 
$Apps8 = New-Object System.Windows.Forms.Button
$Apps8.Location = New-Object System.Drawing.Size(448,0)
$Apps8.Size = $DefaultDrawingSize
# $Apps8.Text = "g"
$Apps8.BackgroundImage = $WindowsCamera
$Apps8.BackgroundImageLayout = "Zoom"
$Apps8.Add_Click({ $Form.Text = "action" })
$Apps8.Cursor = $HandCursor

$Apps9 = New-Object System.Windows.Forms.Button
$Apps9.Location = New-Object System.Drawing.Size(0,64)
$Apps9.Size = $DefaultDrawingSize
# $Apps9.Text = "h"
$Apps9.BackgroundImage = $WindowsFeedbackHub
$Apps9.BackgroundImageLayout = "Zoom"
$Apps9.Add_Click({ $Form.Text = "action" })
$Apps9.Cursor = $HandCursor

$Apps10 = New-Object System.Windows.Forms.Button
$Apps10.Location = New-Object System.Drawing.Size(64,64)
$Apps10.Size = $DefaultDrawingSize
# $Apps10.Text = "i"
$Apps10.BackgroundImage = $GetHelp
$Apps10.BackgroundImageLayout = "Zoom"
$Apps10.Add_Click({ $Form.Text = "action" })
$Apps10.Cursor = $HandCursor

$Apps11 = New-Object System.Windows.Forms.Button
$Apps11.Location = New-Object System.Drawing.Size(128,64)
$Apps11.Size = $DefaultDrawingSize
# $Apps11.Text = "j"
$Apps11.BackgroundImage = $MicrosoftOfficeHub
$Apps11.BackgroundImageLayout = "Zoom"
$Apps11.Add_Click({ $Form.Text = "action" })
$Apps11.Cursor = $HandCursor

$Apps12 = New-Object System.Windows.Forms.Button
$Apps12.Location = New-Object System.Drawing.Size(192,64)
$Apps12.Size = $DefaultDrawingSize
# $Apps12.Text = "k"
$Apps12.BackgroundImage = $GetStarted
$Apps12.BackgroundImageLayout = "Zoom"
$Apps12.Add_Click({ $Form.Text = "action" })
$Apps12.Cursor = $HandCursor

$Apps13 = New-Object System.Windows.Forms.Button
$Apps13.Location = New-Object System.Drawing.Size(256,64)
$Apps13.Size = $DefaultDrawingSize
# $Apps13.Text = "l"
$Apps13.BackgroundImage = $SkypeApp
$Apps13.BackgroundImageLayout = "Zoom"
$Apps13.Add_Click({ $Form.Text = "action" })
$Apps13.Cursor = $HandCursor

$Apps14 = New-Object System.Windows.Forms.Button
$Apps14.Location = New-Object System.Drawing.Size(320,64)
$Apps14.Size = $DefaultDrawingSize
# $Apps14.Text = "m"
$Apps14.BackgroundImage = $ZuneMusic
$Apps14.BackgroundImageLayout = "Zoom"
$Apps14.Add_Click({ $Form.Text = "action" })
$Apps14.Cursor = $HandCursor

$Apps15 = New-Object System.Windows.Forms.Button
$Apps15.Location = New-Object System.Drawing.Size(384,64)
$Apps15.Size = $DefaultDrawingSize
# $Apps15.Text = "n"
$Apps15.BackgroundImage = $WindowsMaps
$Apps15.BackgroundImageLayout = "Zoom"
$Apps15.Add_Click({ $Form.Text = "action" })
$Apps15.Cursor = $HandCursor

$Apps16 = New-Object System.Windows.Forms.Button
$Apps16.Location = New-Object System.Drawing.Size(448,64)
$Apps16.Size = $DefaultDrawingSize
# $Apps16.Text = "o"
$Apps16.BackgroundImage = $Messaging
$Apps16.BackgroundImageLayout = "Zoom"
$Apps16.Add_Click({ $Form.Text = "action" })
$Apps16.Cursor = $HandCursor

$Apps17 = New-Object System.Windows.Forms.Button
$Apps17.Location = New-Object System.Drawing.Size(0,128)
$Apps17.Size = $DefaultDrawingSize
# $Apps17.Text = "p"
$Apps17.BackgroundImage = $MicrosoftSolitaireCollection
$Apps17.BackgroundImageLayout = "Zoom"
$Apps17.Add_Click({ $Form.Text = "action" })
$Apps17.Cursor = $HandCursor

$Apps18 = New-Object System.Windows.Forms.Button
$Apps18.Location = New-Object System.Drawing.Size(64,128)
$Apps18.Size = $DefaultDrawingSize
# $Apps18.Text = "q"
$Apps18.BackgroundImage = $Wallet
$Apps18.BackgroundImageLayout = "Zoom"
$Apps18.Add_Click({ $Form.Text = "action" })
$Apps18.Cursor = $HandCursor

$Apps19 = New-Object System.Windows.Forms.Button
$Apps19.Location = New-Object System.Drawing.Size(128,128)
$Apps19.Size = $DefaultDrawingSize
$Apps19.Text = "Microsoft Wi-Fi"
$Apps19.Image = $DefaultImage
$Apps19.BackgroundImageLayout = "Zoom"
$Apps19.Add_Click({ $Form.Text = "action" })
$Apps19.Cursor = $HandCursor

$Apps20 = New-Object System.Windows.Forms.Button
$Apps20.Location = New-Object System.Drawing.Size(192,128)
$Apps20.Size = $DefaultDrawingSize
# $Apps20.Text = "s"
$Apps20.BackgroundImage = $MixedRealityPortal
$Apps20.BackgroundImageLayout = "Zoom"
$Apps20.Add_Click({ $Form.Text = "action" })
$Apps20.Cursor = $HandCursor

$Apps21 = New-Object System.Windows.Forms.Button
$Apps21.Location = New-Object System.Drawing.Size(256,128)
$Apps21.Size = $DefaultDrawingSize
# $Apps21.Text = "t"
$Apps21.BackgroundImage = $BingFinance
$Apps21.BackgroundImageLayout = "Zoom"
$Apps21.Add_Click({ $Form.Text = "action" })
$Apps21.Cursor = $HandCursor

$Apps22 = New-Object System.Windows.Forms.Button
$Apps22.Location = New-Object System.Drawing.Size(320,128)
$Apps22.Size = $DefaultDrawingSize
# $Apps22.Text = "u"
$Apps22.BackgroundImage = $ZuneVideo
$Apps22.BackgroundImageLayout = "Zoom"
$Apps22.Add_Click({ $Form.Text = "action" })
$Apps22.Cursor = $HandCursor

$Apps23 = New-Object System.Windows.Forms.Button
$Apps23.Location = New-Object System.Drawing.Size(384,128)
$Apps23.Size = $DefaultDrawingSize
# $Apps23.Text = "v"
$Apps23.BackgroundImage = $BingNews
$Apps23.BackgroundImageLayout = "Zoom"
$Apps23.Add_Click({ $Form.Text = "action" })
$Apps23.Cursor = $HandCursor

$Apps24 = New-Object System.Windows.Forms.Button
$Apps24.Location = New-Object System.Drawing.Size(448,128)
$Apps24.Size = $DefaultDrawingSize
# $Apps24.Text = "w"
$Apps24.BackgroundImage = $OfficeOneNote
$Apps24.BackgroundImageLayout = "Zoom"
$Apps24.Add_Click({ $Form.Text = "action" })
$Apps24.Cursor = $HandCursor

$Apps25 = New-Object System.Windows.Forms.Button
$Apps25.Location = New-Object System.Drawing.Size(0,192)
$Apps25.Size = $DefaultDrawingSize
# $Apps25.Text = "x"
$Apps25.BackgroundImage = $OneConnect
$Apps25.BackgroundImageLayout = "Zoom"
$Apps25.Add_Click({ $Form.Text = "action" })
$Apps25.Cursor = $HandCursor

$Apps26 = New-Object System.Windows.Forms.Button
$Apps26.Location = New-Object System.Drawing.Size(64,192)
$Apps26.Size = $DefaultDrawingSize
# $Apps26.Text = "y"
$Apps26.BackgroundImage = $MSPaint
$Apps26.BackgroundImageLayout = "Zoom"
$Apps26.Add_Click({ $Form.Text = "action" })
$Apps26.Cursor = $HandCursor

$Apps27 = New-Object System.Windows.Forms.Button
$Apps27.Location = New-Object System.Drawing.Size(128,192)
$Apps27.Size = $DefaultDrawingSize
# $Apps27.Text = "z"
$Apps27.BackgroundImage = $People
$Apps27.BackgroundImageLayout = "Zoom"
$Apps27.Add_Click({ $Form.Text = "action" })
$Apps27.Cursor = $HandCursor

$Apps28 = New-Object System.Windows.Forms.Button
$Apps28.Location = New-Object System.Drawing.Size(192,192)
$Apps28.Size = $DefaultDrawingSize
$Apps28.Text = "Phone"
$Apps28.Image = $DefaultImage
$Apps28.BackgroundImageLayout = "Zoom"
$Apps28.Add_Click({ $Form.Text = "action" })
$Apps28.Cursor = $HandCursor

$Apps29 = New-Object System.Windows.Forms.Button
$Apps29.Location = New-Object System.Drawing.Size(256,192)
$Apps29.Size = $DefaultDrawingSize
# $Apps29.Text = "2"
$Apps29.BackgroundImage = $YourPhone
$Apps29.BackgroundImageLayout = "Zoom"
$Apps29.Add_Click({ $Form.Text = "action" })
$Apps29.Cursor = $HandCursor

$Apps30 = New-Object System.Windows.Forms.Button
$Apps30.Location = New-Object System.Drawing.Size(320,192)
$Apps30.Size = $DefaultDrawingSize
# $Apps30.Text = "3"
$Apps30.BackgroundImage = $WindowsPhotos
$Apps30.BackgroundImageLayout = "Zoom"
$Apps30.Add_Click({ $Form.Text = "action" })
$Apps30.Cursor = $HandCursor

$Apps31 = New-Object System.Windows.Forms.Button
$Apps31.Location = New-Object System.Drawing.Size(384,192)
$Apps31.Size = $DefaultDrawingSize
# $Apps31.Text = "4"
$Apps31.BackgroundImage = $ScreenSketch
$Apps31.BackgroundImageLayout = "Zoom"
$Apps31.Add_Click({ $Form.Text = "action" })
$Apps31.Cursor = $HandCursor

$Apps32 = New-Object System.Windows.Forms.Button
$Apps32.Location = New-Object System.Drawing.Size(448,192)
$Apps32.Size = $DefaultDrawingSize
# $Apps32.Text = "5"
$Apps32.BackgroundImage = $BingSports
$Apps32.BackgroundImageLayout = "Zoom"
$Apps32.Add_Click({ $Form.Text = "action" })
$Apps32.Cursor = $HandCursor

$Apps33 = New-Object System.Windows.Forms.Button
$Apps33.Location = New-Object System.Drawing.Size(0,256)
$Apps33.Size = $DefaultDrawingSize
# $Apps33.Text = "6"
$Apps33.BackgroundImage = $MicrosoftStickyNotes
$Apps33.BackgroundImageLayout = "Zoom"
$Apps33.Add_Click({ $Form.Text = "action" })
$Apps33.Cursor = $HandCursor

$Apps34 = New-Object System.Windows.Forms.Button
$Apps34.Location = New-Object System.Drawing.Size(64,256)
$Apps34.Size = $DefaultDrawingSize
# $Apps34.Text = "7"
$Apps34.BackgroundImage = $OfficeSway
$Apps34.BackgroundImageLayout = "Zoom"
$Apps34.Add_Click({ $Form.Text = "action" })
$Apps34.Cursor = $HandCursor

$Apps35 = New-Object System.Windows.Forms.Button
$Apps35.Location = New-Object System.Drawing.Size(128,256)
$Apps35.Size = $DefaultDrawingSize
# $Apps35.Text = "8"
$Apps35.BackgroundImage = $Microsoft3DViewer
$Apps35.BackgroundImageLayout = "Zoom"
$Apps35.Add_Click({ $Form.Text = "action" })
$Apps35.Cursor = $HandCursor

$Apps36 = New-Object System.Windows.Forms.Button
$Apps36.Location = New-Object System.Drawing.Size(192,256)
$Apps36.Size = $DefaultDrawingSize
# $Apps36.Text = "9"
$Apps36.BackgroundImage = $WindowsSoundRecorder
$Apps36.BackgroundImageLayout = "Zoom"
$Apps36.Add_Click({ $Form.Text = "action" })
$Apps36.Cursor = $HandCursor

$Apps37 = New-Object System.Windows.Forms.Button
$Apps37.Location = New-Object System.Drawing.Size(256,256)
$Apps37.Size = $DefaultDrawingSize
# $Apps37.Text = "0"
$Apps37.BackgroundImage = $BingWeather
$Apps37.BackgroundImageLayout = "Zoom"
$Apps37.Add_Click({ $Form.Text = "action" })
$Apps37.Cursor = $HandCursor

$Apps38 = New-Object System.Windows.Forms.Button
$Apps38.Location = New-Object System.Drawing.Size(320,256)
$Apps38.Size = $DefaultDrawingSize
# $Apps38.Text = "A"
$Apps38.BackgroundImage = $MicrosoftHoloLens
$Apps38.BackgroundImageLayout = "Zoom"
$Apps38.Add_Click({ $Form.Text = "action" })
$Apps38.Cursor = $HandCursor

$Apps39 = New-Object System.Windows.Forms.Button
$Apps39.Location = New-Object System.Drawing.Size(384,256)
$Apps39.Size = $DefaultDrawingSize
# $Apps39.Text = "B"
$Apps39.BackgroundImage = $XboxApp
$Apps39.BackgroundImageLayout = "Zoom"
$Apps39.Add_Click({ $Form.Text = "action" })
$Apps39.Cursor = $HandCursor
 
$Apps40 = New-Object System.Windows.Forms.Button
$Apps40.Location = New-Object System.Drawing.Size(448,256)
$Apps40.Size = $DefaultDrawingSize
# $Apps40.Text = "C"
$Apps40.BackgroundImage = $WindowsStore
$Apps40.BackgroundImageLayout = "Zoom"
$Apps40.Add_Click({ $Form.Text = "action" })
$Apps40.Cursor = $HandCursor

$Extensions1 = New-Object System.Windows.Forms.Button
$Extensions1.Location = New-Object System.Drawing.Size(0,320)
$Extensions1.Size = $DefaultDrawingSize
$Extensions1.Text = "Heif Image"
$Extensions1.Image = $DefaultImage
$Extensions1.BackgroundImageLayout = "Zoom"
$Extensions1.Add_Click({ $Form.Text = "action" })
$Extensions1.Cursor = $HandCursor

$Extensions2 = New-Object System.Windows.Forms.Button
$Extensions2.Location = New-Object System.Drawing.Size(64,320)
$Extensions2.Size = $DefaultDrawingSize
$Extensions2.Text = "MPEG-2 Video"
$Extensions2.Image = $DefaultImage
$Extensions2.BackgroundImageLayout = "Zoom"
$Extensions2.Add_Click({ $Form.Text = "action" })
$Extensions2.Cursor = $HandCursor

$Extensions3 = New-Object System.Windows.Forms.Button
$Extensions3.Location = New-Object System.Drawing.Size(128,320)
$Extensions3.Size = $DefaultDrawingSize
$Extensions3.Text = "VP9 Video"
$Extensions3.Image = $DefaultImage
$Extensions3.BackgroundImageLayout = "Zoom"
$Extensions3.Add_Click({ $Form.Text = "action" })
$Extensions3.Cursor = $HandCursor

$Extensions4 = New-Object System.Windows.Forms.Button
$Extensions4.Location = New-Object System.Drawing.Size(192,320)
$Extensions4.Size = $DefaultDrawingSize
$Extensions4.Text = "Web Media"
$Extensions4.Image = $DefaultImage
$Extensions4.BackgroundImageLayout = "Zoom"
$Extensions4.Add_Click({ $Form.Text = "action" })
$Extensions4.Cursor = $HandCursor

$Extensions5 = New-Object System.Windows.Forms.Button
$Extensions5.Location = New-Object System.Drawing.Size(256,320)
$Extensions5.Size = $DefaultDrawingSize
$Extensions5.Text = "WebP Image"
$Extensions5.Image = $DefaultImage
$Extensions5.BackgroundImageLayout = "Zoom"
$Extensions5.Add_Click({ $Form.Text = "action" })
$Extensions5.Cursor = $HandCursor

$Bloatwares1 = New-Object System.Windows.Forms.Button
$Bloatwares1.Location = New-Object System.Drawing.Size(448,320)
$Bloatwares1.Size = $DefaultDrawingSize
$Bloatwares1.Text = "Advertising"
$Bloatwares1.Image = $DefaultImage
$Bloatwares1.BackgroundImageLayout = "Zoom"
$Bloatwares1.Add_Click({ $Form.Text = "action" })
$Bloatwares1.Cursor = $HandCursor

$Options1 = New-Object System.Windows.Forms.Button
$Options1.Location = New-Object System.Drawing.Size(0,448)
$Options1.Size = $DefaultDrawingSize
$Options1.Text = "Execute"
$Options1.Image = $DefaultImage
$Options1.BackgroundImageLayout = "Zoom"
$Options1.Add_Click({ $Form.Text = "Execute" })
$Options1.Cursor = $HandCursor

$Options2 = New-Object System.Windows.Forms.Button
$Options2.Location = New-Object System.Drawing.Size(64,448)
$Options2.Size = $DefaultDrawingSize
$Options2.Text = "Toggle (Un)install"
$Options2.Image = $DefaultImage
$Options2.BackgroundImageLayout = "Zoom"
$Options2.Add_Click({ $Form.Text = "Toggle (Un)install" })
$Options2.Cursor = $HandCursor

$Options7 = New-Object System.Windows.Forms.Button
$Options7.Location = New-Object System.Drawing.Size(384,448)
$Options7.Size = $DefaultDrawingSize
$Options7.Text = "Reload"
$Options7.Image = $DefaultImage
$Options7.BackgroundImageLayout = "Zoom"
$Options7.Add_Click({
	$TestReload = $PSScriptRoot + "\test.bat"
	$Form.Text = $PSScriptRoot + "\test.bat"
	& $TestReload
})
$Options7.Cursor = $HandCursor

$Options8 = New-Object System.Windows.Forms.Button
$Options8.Location = New-Object System.Drawing.Size(448,448)
$Options8.Size = $DefaultDrawingSize
$Options8.Text = "Admin"
$Options8.Image = $DefaultImage
$Options8.BackgroundImageLayout = "Zoom"
$Options8.Add_Click({
	if (!([Security.Principal.WindowsPrincipal][Security.Principal.WindowsIdentity]::GetCurrent()).IsInRole([Security.Principal.WindowsBuiltInRole] "Administrator")) {
		Start-Process powershell.exe "-NoProfile -ExecutionPolicy Bypass -File `"$PSCommandPath`"" -Verb RunAs
		[environment]::exit(0)
	}
})
$Options8.Cursor = $HandCursor

$groupBox.Controls.Add($Apps1)
$groupBox.Controls.Add($Apps2)
$groupBox.Controls.Add($Apps3)
$groupBox.Controls.Add($Apps4)
$groupBox.Controls.Add($Apps5)
$groupBox.Controls.Add($Apps6)
$groupBox.Controls.Add($Apps7)
$groupBox.Controls.Add($Apps8)
$groupBox.Controls.Add($Apps9)
$groupBox.Controls.Add($Apps10)
$groupBox.Controls.Add($Apps11)
$groupBox.Controls.Add($Apps12)
$groupBox.Controls.Add($Apps13)
$groupBox.Controls.Add($Apps14)
$groupBox.Controls.Add($Apps15)
$groupBox.Controls.Add($Apps16)
$groupBox.Controls.Add($Apps17)
$groupBox.Controls.Add($Apps18)
$groupBox.Controls.Add($Apps19)
$groupBox.Controls.Add($Apps20)
$groupBox.Controls.Add($Apps21)
$groupBox.Controls.Add($Apps22)
$groupBox.Controls.Add($Apps23)
$groupBox.Controls.Add($Apps24)
$groupBox.Controls.Add($Apps25)
$groupBox.Controls.Add($Apps26)
$groupBox.Controls.Add($Apps27)
$groupBox.Controls.Add($Apps28)
$groupBox.Controls.Add($Apps29)
$groupBox.Controls.Add($Apps30)
$groupBox.Controls.Add($Apps31)
$groupBox.Controls.Add($Apps32)
$groupBox.Controls.Add($Apps33)
$groupBox.Controls.Add($Apps34)
$groupBox.Controls.Add($Apps35)
$groupBox.Controls.Add($Apps36)
$groupBox.Controls.Add($Apps37)
$groupBox.Controls.Add($Apps38)
$groupBox.Controls.Add($Apps39)
$groupBox.Controls.Add($Apps40)

$groupBox.Controls.Add($Extensions1)
$groupBox.Controls.Add($Extensions2)
$groupBox.Controls.Add($Extensions3)
$groupBox.Controls.Add($Extensions4)
$groupBox.Controls.Add($Extensions5)

$groupBox.Controls.Add($reload)

$groupBox.Controls.Add($Bloatwares1)

$groupBox.Controls.Add($Options1)
$groupBox.Controls.Add($Options2)
$groupBox.Controls.Add($Options3)
$groupBox.Controls.Add($Options4)
$groupBox.Controls.Add($Options5)
$groupBox.Controls.Add($Options6)
$groupBox.Controls.Add($Options7)
$groupBox.Controls.Add($Options8)

#### Title - Powershell GUI Tool ###################################################
#### $Label = New-Object System.Windows.Forms.Label
#### $LabelFont = New-Object System.Drawing.Font("Calibri",18,[System.Drawing.FontStyle]::Bold)
#### $Label.Font = $LabelFont
#### $Label.Text = "Select Apps To " + $action
#### $Label.AutoSize = $True
#### $Label.Location = New-Object System.Drawing.Size(415,40) 
#### $Form.Controls.Add($Label)
 
#### Input window with "Server name" label ##########################################
#### $InputBox = New-Object System.Windows.Forms.TextBox 
#### $InputBox.Location = New-Object System.Drawing.Size(10,50) 
#### $InputBox.Size = New-Object System.Drawing.Size(180,20) 
#### $Form.Controls.Add($InputBox)
#### $Label2 = New-Object System.Windows.Forms.Label
#### $Label2.Text = "Server name:"
#### $Label2.AutoSize = $True
#### $Label2.Location = New-Object System.Drawing.Size(15,30) 
#### $Form.Controls.Add($Label2)
 
###################### END BUTTONS ######################################################
 
#### Output Box Field ###############################################################
#### $outputBox = New-Object System.Windows.Forms.RichTextBox
#### $outputBox.Location = New-Object System.Drawing.Size(200,100) 
#### $outputBox.Size = New-Object System.Drawing.Size(780,265)
#### $outputBox.Font = New-Object System.Drawing.Font("Consolas", 8 ,[System.Drawing.FontStyle]::Regular)
#### $outputBox.MultiLine = $True
#### $outputBox.ScrollBars = "Vertical"
#### $outputBox.Text = " `
####   Welcome to your first Powershell GUI Tool - Type Domain Controller name and press one of the available buttons."
#### $Form.Controls.Add($outputBox)
 
##############################################
 
$Form.Add_Shown({$Form.Activate()})
[void] $Form.ShowDialog()